[node-patches] Change in ovirt-node[master]: tests: Add check_augeas

fabiand at fedoraproject.org fabiand at fedoraproject.org
Wed Jan 9 10:49:26 UTC 2013


Fabian Deutsch has uploaded a new change for review.

Change subject: tests: Add check_augeas
......................................................................

tests: Add check_augeas

This testcase checks the correctness of all augeas lenses.

Change-Id: I308579bbefa50a56853b0534da23bae62640ded5
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
M tests/igor/sets/before_testing.set
A tests/igor/tcs/check_augeas.sh
2 files changed, 17 insertions(+), 1 deletion(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/05/10805/1

diff --git a/tests/igor/sets/before_testing.set b/tests/igor/sets/before_testing.set
index 0ffad41..5b02b4a 100644
--- a/tests/igor/sets/before_testing.set
+++ b/tests/igor/sets/before_testing.set
@@ -1,5 +1,5 @@
 ---
-description: 'Collect some logs before duoing anything'
+description: 'Collect some logs before doing anything'
 libs: ['../libs/common']
 searchpath: '../tcs'
 
@@ -8,3 +8,6 @@
 filename: 'collect_logs.sh'
 
 ---
+filename: 'check_augeas.sh'
+
+---
diff --git a/tests/igor/tcs/check_augeas.sh b/tests/igor/tcs/check_augeas.sh
new file mode 100644
index 0000000..e16be5e
--- /dev/null
+++ b/tests/igor/tcs/check_augeas.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+#
+# Check augeas for lense errors
+#
+
+COMMONLIB=${IGOR_LIBDIR}/common/common.sh
+[[ -e $COMMONLIB ]] && . $COMMONLIB
+
+igor_highlight "Checking augeas lenses"
+augtool "quit"
+
+exit $?


--
To view, visit http://gerrit.ovirt.org/10805
To unsubscribe, visit http://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I308579bbefa50a56853b0534da23bae62640ded5
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Fabian Deutsch <fabiand at fedoraproject.org>



More information about the node-patches mailing list